summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorgustawho2020-07-02 12:36:01 -0600
committergustawho2020-07-02 12:36:01 -0600
commitb12c7fc0068f8b73ed42e814135fa76d2833320d (patch)
treece485a2880ff4f5f48e5afc02a246952a933f553 /PKGBUILD
downloadaur-kirigami-addons-git.tar.gz
Package added
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..da77317d91a
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Gustavo Castro < gustawho [ at ] gmail [ dot ] com >
+
+pkgname=kirigami-addons-git
+pkgver=r19.a445f08
+pkgrel=1
+pkgdesc="Add-ons for the Kirigami framework"
+arch=(x86_64)
+url="https://invent.kde.org/libraries/kirigami-addons"
+license=(GPL3)
+depends=(ki18n kirigami2)
+makedepends=(git cmake extra-cmake-modules)
+provides=(kirigami-addons)
+conflicts=(kirigami-addons)
+source=("git+https://invent.kde.org/libraries/kirigami-addons.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${pkgname%-git}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "${pkgname%-git}"
+ install -d build
+}
+
+build() {
+ cd "${pkgname%-git}/build"
+ cmake ..
+ make
+}
+
+package() {
+ cd "${pkgname%-git}/build"
+ make DESTDIR="$pkgdir" install
+}